Create a playbook extraction
curl --request POST \
--url https://api.example.com/v2/aether/playbook/extractions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "<string>",
"created_by": "<string>"
}
'import requests
url = "https://api.example.com/v2/aether/playbook/extractions"
payload = {
"file_id": "<string>",
"created_by": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_id: '<string>', created_by: '<string>'})
};
fetch('https://api.example.com/v2/aether/playbook/extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"collection": "cash_application",
"error": "<string>",
"extraction_type": "file",
"status": "pending",
"dedup_count": 123,
"input_count": 123,
"knowledge_count": 123,
"memory_count": 123,
"processed_count": 123,
"progress": {},
"proposal_count": 123,
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mime_type": "<string>",
"bucket": "<string>",
"object_key": "<string>",
"upload_url": "<string>",
"size": 123
},
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Create a playbook extraction
Starts extracting knowledge from an uploaded file into the given collection.
POST
/
v2
/
aether
/
playbook
/
extractions
Create a playbook extraction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
When processing finished
User who initiated the run
Target collection
Available options:
cash_application, collections, company, credit_risk, deductions, disputes, payments Error message if failed
Available options:
file, onboarding, synthesis Current pipeline status
Available options:
pending, extracting, deduping, enriching, synthesizing, complete, failed Items removed by dedup
Total items to process
Knowledge items produced
Memories extracted
Sources processed so far
Per-stage progress
Proposals created
Show child attributes
Show child attributes
